/*
 * Header file for drvXy566.c
 */

#include "dbScan.h"

typedef enum {
    XY566SE,       /* Single Ended Scanned*/
    XY566DI,       /* Differential Scanned */
    XY566DIL,      /* Differential Latched */
    NUM_TYPES
} xy566_type;

#define XY566WF         0       /* & Xycom 566 as a waveform */

typedef void (*xy566_callback)();

int ai_xy566_getioscanpvt(int card, IOSCANPVT *scanpvt);
int ai_xy566_driver(int card,int chan, xy566_type type, epicsUInt16 *prval);
int xy566_driver(int card, xy566_callback pcbroutine, void *puser);
